LinuxQuestions.org
Help answer threads with 0 replies.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Software
User Name
Password
Linux - Software This forum is for Software issues.
Having a problem installing a new program? Want to know which application is best for the job? Post your question in this forum.

Notices


Reply
  Search this Thread
Old 01-14-2003, 05:45 PM   #1
opo
LQ Newbie
 
Registered: Dec 2002
Distribution: RedHat 8.0
Posts: 24

Rep: Reputation: 15
Dependencies are kiling me


Hy I begin by trying to instal Xine in my redhat 8.0.I brought a lot of package,but their asking me more and more dependencies.Is there an aplication like apt-get that finds problems and resolv dependencies??
If there is pls tell me howto use it.
Thx people
 
Old 01-14-2003, 05:47 PM   #2
kmistry
Member
 
Registered: Sep 2002
Distribution: Debian 3.0 (Sid)
Posts: 67

Rep: Reputation: 15
isn't there apt-rpm for redhat? i was under the impression connectiva were the guys that brought it over from debian and then redhat took it and used it.

do this: man apt-rpm

im runnin debian right now so i cant help u on rpm related stuff......im dependancy free
 
Old 01-14-2003, 06:24 PM   #3
opo
LQ Newbie
 
Registered: Dec 2002
Distribution: RedHat 8.0
Posts: 24

Original Poster
Rep: Reputation: 15
This is what i got

[root@localhost Drivers ati]# man apt-rpm
No manual entry for apt-rpm
 
Old 01-14-2003, 08:33 PM   #4
born4linux
Senior Member
 
Registered: Sep 2002
Location: Philippines
Distribution: Slackware, RHEL&variants, AIX, SuSE
Posts: 1,127

Rep: Reputation: 49
there is no apt-rpm. just a tool called redhat-config-packages

u need to resolve the dependies the hard way. try install xine, take note of the required file, and do something like this:

rpm --redhatprovides fiilename_of_required file

then look for the package in the RHL disks. if it is not there, go to http:/rpmfind.net/ or at psyche.freshrpms.net. the xine deps should be posted there.

hth.
 
Old 01-14-2003, 11:19 PM   #5
aliensub
Member
 
Registered: Apr 2002
Location: Denmark
Distribution: OS X
Posts: 306

Rep: Reputation: 30
You can install apt-get for rpmīs (called apt-get not apt-rpm) you can get it at http://psyche.freshrpms.net/rpm.html?id=244

And donīt forget too install synaptic, a nice frontend for apt: http://psyche.freshrpms.net/rpm.html?id=552
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
need help w/dependencies pfaendtner Linux - Newbie 1 07-29-2004 11:36 PM
I recieve a failed dependencies error, but I have all required dependencies Laptop2250 Linux - Software 15 02-03-2004 08:58 PM
Dependencies... Pyroknight Linux - Software 8 07-12-2003 04:33 PM
dependencies tincat2 Linux - Software 3 06-28-2002 12:16 AM
dependencies vanhalen Linux - Newbie 1 06-12-2002 09:32 AM


All times are GMT -5. The time now is 04:30 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration